clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar Class Referencefinal

Device global variable entries info. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CGOpenMPRuntime.h"`

Inheritance diagram for clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar:
[legend]
Collaboration diagram for clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar:
[legend]

## Public Member Functions
| OffloadEntryInfoDeviceGlobalVar ()
| OffloadEntryInfoDeviceGlobalVar (unsigned Order, OMPTargetGlobalVarEntryKind Flags)
| OffloadEntryInfoDeviceGlobalVar (unsigned Order, llvm::Constant *Addr, CharUnits VarSize, OMPTargetGlobalVarEntryKind Flags, llvm::GlobalValue::LinkageTypes Linkage)
CharUnits | getVarSize () const
void | setVarSize (CharUnits Size)
llvm::GlobalValue::LinkageTypes | getLinkage () const
void | setLinkage (llvm::GlobalValue::LinkageTypes LT)
Public Member Functions inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
bool | isValid () const
unsigned | getOrder () const
OffloadingEntryInfoKinds | getKind () const
uint32_t | getFlags () const
void | setFlags (uint32_t NewFlags)
llvm::Constant * | getAddress () const
void | setAddress (llvm::Constant *V)

## Static Public Member Functions
static bool | classof (const OffloadEntryInfo *Info)
Static Public Member Functions inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
static bool | classof (const OffloadEntryInfo *Info)

## Additional Inherited Members
Public Types inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
enum | OffloadingEntryInfoKinds : unsigned { OffloadingEntryInfoTargetRegion = 0, OffloadingEntryInfoDeviceGlobalVar = 1, OffloadingEntryInfoInvalid = ~0u }
| Kind of a given entry. More...
Protected Member Functions inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
| OffloadEntryInfo ()=delete
| OffloadEntryInfo (OffloadingEntryInfoKinds Kind)
| OffloadEntryInfo (OffloadingEntryInfoKinds Kind, unsigned Order, uint32_t Flags)
| ~OffloadEntryInfo ()=default

## Detailed Description

Device global variable entries info.

Definition at line 556 of file CGOpenMPRuntime.h.

## Constructor & Destructor Documentation

## ◆ OffloadEntryInfoDeviceGlobalVar() [1/3]

clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::OffloadEntryInfoDeviceGlobalVar | ( |  | ) |
| inline

Definition at line 562 of file CGOpenMPRuntime.h.

## ◆ OffloadEntryInfoDeviceGlobalVar() [2/3]

clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::OffloadEntryInfoDeviceGlobalVar | ( | unsigned | Order,
|  | OMPTargetGlobalVarEntryKind | Flags
| ) |  |
| inline explicit

Definition at line 564 of file CGOpenMPRuntime.h.

## ◆ OffloadEntryInfoDeviceGlobalVar() [3/3]

clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::OffloadEntryInfoDeviceGlobalVar | ( | unsigned | Order,
|  | llvm::Constant * | Addr,
|  | CharUnits | VarSize,
|  | OMPTargetGlobalVarEntryKind | Flags,
|  | llvm::GlobalValue::LinkageTypes | Linkage
| ) |  |
| inline explicit

Definition at line 567 of file CGOpenMPRuntime.h.

## Member Function Documentation

## ◆ classof()

static bool clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::classof | ( | const OffloadEntryInfo * | Info | ) |
| inline static

Definition at line 580 of file CGOpenMPRuntime.h.

References clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo::getKind().

## ◆ getLinkage()

llvm::GlobalValue::LinkageTypes clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::getLinkage | ( |  | ) | const
| inline

Definition at line 578 of file CGOpenMPRuntime.h.

## ◆ getVarSize()

CharUnits clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::getVarSize | ( |  | ) | const
| inline

Definition at line 576 of file CGOpenMPRuntime.h.

## ◆ setLinkage()

void clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::setLinkage | ( | llvm::GlobalValue::LinkageTypes | LT | ) |
| inline

Definition at line 579 of file CGOpenMPRuntime.h.

References LT.

## ◆ setVarSize()

void clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoDeviceGlobalVar::setVarSize | ( | CharUnits | Size | ) |
| inline

Definition at line 577 of file CGOpenMPRuntime.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/CGOpenMPRuntime.h